Subject: [PATCH 3/5] [orion] Move address map setup out of the drivers and into platform.

From: [email-masked] (Andrew Lunn)
Date: Tue, 15 Nov 2011 08:41:22 +0100

> I understand that you might want to get rid of the annoying platform 
> data pointer for the mbus values.  But I think that this could be done 
> some other way though.  IMHO the mbus initialization code for 
> peripherals should remain in the drivers, and a different way to query 
> the needed information be elaborated instead.  Otherwise this is like 
> throwing out the baby with the bath water.

I'm open to suggestion.

What do you think about the idea of keeping the first two patches,
i.e. *_mbus_dram_info out of mach-* and into plat-orion. Then
providing a function orion_mbus_dram_info() which returns its. Keep
the address map setup code in the drivers, remove struct
mbus_dram_target_info from platform_data and use this function
instead?

	Thanks
		Andrew